#include "cSerpent.hpp"
#include <SDL/SDL.h>

#ifndef __CSTATE__
	#define __CSTATE__


class cJeu {

	private :
		SDL_Surface* pScreen;
		bool enPause;
		int score;
		cSerpent leSerpent;


	public :
		cJeu();

		bool get_enPause();
		void set_enPause(bool enPause);

		void effaceEcran();

		int gameInit();
		int gameRun();
		void gameOver();

		~cJeu();
};


#endif
